#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QTimer>

#include "audiolayerwidget.h"
#include "settings.h"
#include "defines.h" // MAX_LAYERS

class AudioWidget : public QWidget
{
    Q_OBJECT

public:
    AudioWidget(QWidget *parent = nullptr);

private:
    QHBoxLayout *m_layout;
    layerData m_layerUpdate[MAX_LAYERS];
    QTimer *m_refreshUi;

public slots:
    void volChanged(int layer, float vol);
    void panChanged(int layer, int pan);
    void pitchChanged(int layer, int pitch);
    void cursorChanged(int layer, float cursor);
    void mediaLoaded(int layer, QString media, float duration);
    void playbackChanged(int layer, Status status);

private slots:
    void refreshUi();
signals:
    void uiPlaybackChanged(int layer, Status s);
    void uiSliderChanged(int layer, Slider s, int vol);
    void uiLoadMedia(int layer, QString s);
};

#endif // AUDIOWIDGET_H
