#ifndef DEFINES_H
#define DEFINES_H

#define VERSION "LibreMediaServerAudio 0.2.0 Antigona Release"
#define COPYRIGHT "(C) 2014-2024 Santi Noreña <lms@criptomart.net>"
#define LICENSE "GPL 3 Licensed. See LICENSE.txt."
#define DEFAULT_FILE "lms-audio.xlm"
#define MAX_LAYERS 4
#define MAX_AUDIODEVICES 8
#define UI_REFRESH_TIME 77
#define FADE_TIME 25 // DMX Frame time, 40 fps, avoid clicks

struct dmxSetting {
    int address;
    unsigned int universe;
    int layer;
};

enum Status
{
    Stopped,
    Paused,
    PlayingOnce,
    PlayingLoop,
    Iddle
};

static const char* StatusStr[] =
{
    "Stop",
    "Pause",
    "Playing One",
    "Playing Loop",
    "Iddle",
    0x0
};

enum Slider
{
    Volume,
    Pan,
    Pitch,
};

#include <QString>
struct layerData {
    QString media;
    Status status;
    bool updated;
    float vol;
    float cursor;
    int pan;
    int pitch;
    float duration;
};
#endif // DEFINES_H
